package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaWechatUserMapper;
import com.huiju.welcome.model.TaWechatUser;
import com.huiju.welcome.service.ITaWechatUserService;
import com.huiju.welcome.utils.StatusUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-06-11
 */
@Service
public class TaWechatUserServiceImpl extends ServiceImpl<TaWechatUserMapper, TaWechatUser> implements ITaWechatUserService {
    @Autowired
    TaWechatUserMapper taWechatUserMapper;

    @Override
    public TaWechatUser getByOpenid(String openid, String appid) {
        QueryWrapper<TaWechatUser> wrapper = new QueryWrapper<>();
        wrapper.eq("openid", openid);
        wrapper.eq("appid", appid);
        wrapper.last("limit 1");

        return taWechatUserMapper.selectOne(wrapper);
    }
}
